package com.zcloud.personnel.positioning.command;

import com.zcloud.personnel.positioning.domain.gateway.AlarmRecordGateway;
import com.zcloud.personnel.positioning.domain.model.AlarmRecordE;
import com.zcloud.personnel.positioning.dto.AlarmRecordUpdateCmd;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * web-app
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
@Component
@AllArgsConstructor
public class AlarmRecordUpdateExe {
    private final AlarmRecordGateway alarmRecordGateway;

    @Transactional(rollbackFor = Exception.class)
    public void execute(AlarmRecordUpdateCmd cmd) {
        AlarmRecordE alarmRecordE = new AlarmRecordE();
        BeanUtils.copyProperties(cmd, alarmRecordE);
        boolean res = alarmRecordGateway.update(alarmRecordE);
        if (!res) {
            throw new BizException("修改失败");
        }
    }
}
